%bcond_with check

Summary:        Bash tab completion for argparse
Name:           python-argcomplete
Version:        2.0.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        https://github.com/kislyuk/argcomplete/archive/refs/tags/v%{version}.tar.gz #/argcomplete-%{version}.tar.gz

Patch3000:      0001-Remove-commit-hash-from-Fish-version.patch

BuildRequires:  python3-devel python3-setuptools

%if %{with check}
BuildRequires:  tcsh fish python3-pexpect
BuildRequires:  /usr/bin/pip
%endif

BuildArch:      noarch

%description
Argcomplete provides easy, extensible command line tab completion
of arguments for your Python script.

%package -n     python3-argcomplete
Summary:        Bash tab completion for argparse

%description -n python3-argcomplete
Argcomplete provides easy, extensible command line tab completion
of arguments for your Python script.

%prep
%autosetup -p1 -n argcomplete-%{version}
sed -i -r -e '/tests_require = /s/"(coverage|flake8|wheel)"[, ]*//g' setup.py
sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog scripts/*
sed -i -e "s|python |python3 |" test/test.py

%build
%py3_build

%install
%py3_install
install -p -m0644 %{buildroot}%{python3_sitelib}/argcomplete/bash_completion.d/python-argcomplete -D %{buildroot}%{_sysconfdir}/bash_completion.d/python-argcomplete

%if %{with check}
%check
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc

%{python3} setup.py test
%endif

%files -n python3-argcomplete
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/argcomplete-*.egg-info/
%{python3_sitelib}/argcomplete/
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/python-argcomplete-tcsh
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/python-argcomplete

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 2.0.0-1
- initial build
